from distutils.core import setup

name = 'mkexp'
version = '0.1.0dev'

setup(
    name = name,
    version = version,
    description = 'Run-script generation for earth system models',
    long_description = open('README.txt').read(),
    author = 'Karl-Hermann Wieners',
    author_email = 'karl-hermann.wieners@mpimet.mpg.de',
    url = 'http://code.zmaw.de/projects/esmenv',
    py_modules = ['configobj', 'validate'],
    scripts = ['mkexp'],
    platforms = ['Posix'],
    license = 'LICENSE.txt',
    data_files = [('share/doc/'+name+'-'+version+'/examples', 
                   ['examples/khw0000.config'])],
    requires = ['Jinja2(>= 2.6)']
)